<?php
require_once("ajax_preload.php");

if ($httpreferer){
  if ($ajax_db->getErrorCode()==1){
    die;
  }else{
    $hibanaplo_id=$_REQUEST["hibanaplo_id"];
    $query=getHibanaplo($ajax_db,$hibanaplo_id);
    $hibajavell=getHibajeljavell($ajax_db,$hibanaplo_id);
    $alketreszcsere=getAlkatreszcsere($ajax_db,$hibanaplo_id); 
    print('
    <input type="hidden" name="retajax_hibanaplo" id="retajax_hibanaplo" value="'.$hibanaplo_id.'">
    <input type="hidden" name="retajax_gep" id="retajax_gep" value="'.$query["id_pg_gepek"].'">
    <textarea name="retajax_jegysorszam" id="retajax_jegysorszam" >'.iconv("iso-8859-2","UTF-8//TRANSLIT//IGNORE",$query["jegysorszam"]).'</textarea>
    <textarea name="retajax_hibajelenseg" id="retajax_hibajelenseg" >'.iconv("iso-8859-2","UTF-8//TRANSLIT//IGNORE",$query["hibajelenseg"]).'</textarea>
    
    <textarea name="retajax_hibajavitasa" id="retajax_hibajavitasa" >'.iconv("iso-8859-2","UTF-8//TRANSLIT//IGNORE",$query["hibajavitasa"]).'</textarea>
    <textarea name="retajax_ellenorzes" id="retajax_ellenorzes" >'.iconv("iso-8859-2","UTF-8//TRANSLIT//IGNORE",$query["ellenorzes"]).'</textarea>
    <input type="hidden" name="retajax_lezart_osszeg" id="retajax_lezart_osszeg" value="'.$query["lezart_osszeg"].'">
    <input type="hidden" name="retajax_lezart_jegysorszam" id="retajax_lezart_jegysorszam" value="'.$query["lezart_jegysorszam"].'">
    <input type="hidden" name="retajax_dolgozok_lezart" id="retajax_dolgozok_lezart" value="'.$query["id_pg_dolgozok_lezart"].'">
    <input type="hidden" name="retajax_nyitott_osszeg" id="retajax_nyitott_osszeg" value="'.$query["nyitott_osszeg"].'">
    <input type="hidden" name="retajax_nyitott_jegysorszam" id="retajax_nyitott_jegysorszam" value="'.$query["nyitott_jegysorszam"].'">
    <input type="hidden" name="retajax_dolgozok_nyitott" id="retajax_dolgozok_nyitott" value="'.$query["id_pg_dolgozok_nyitott"].'">');
    if (count($hibajavell)>0){ 
    	foreach ($hibajavell as &$value) {
    	 echo '<br /><input type="checkbox" value="'.$value["id_pg_beavatkozasok"].'" id="retajax_beavatkozas'.$value["id_pg_beavatkozasok"].'" name="retajax_beavatkozas'.$value["id_pg_beavatkozasok"].'">';
    	 if ($value["beav_valasz"]!=''){
    	   echo '<br /><input type="text"  id="retajax_beavatkozas'.$value["id_pg_beavatkozasok"].'text" id="retajax_beavatkozas'.$value["id_pg_beavatkozasok"].'text" value="'.$value["beav_valasz"].'">';
    	 }
    	}
    }
    if (count($alketreszcsere)>0){ 
    	foreach ($alketreszcsere as &$value) {
    	 echo '<br /><input type="checkbox" value="'.$value["id_pg_alkatreszkod"].'" id="retajax_alkatresz'.$value["id_pg_alkatreszkod"].'" name="retajax_alkatresz'.$value["id_pg_alkatreszkod"].'">';
    	 if ($value["mennyiseg"]!=''){
    	   echo '<br /><input type="text"  id="retajax_alkatresz'.$value["id_pg_alkatreszkod"].'text" id="retajax_alkatresz'.$value["id_pg_alkatreszkod"].'text" value="'.$value["mennyiseg"].'">';
    	 }
    	}
    }    
  }
}
?>